Below are some considerations for interactions:
-
The Type field defines the kind of interaction. There are default options like "Phone Call" or "Email," but custom ones can also be created. Check the field options to see the available types.
-
To tie an interaction to an AbEntry, set the AbEntryKey field with the key of the related AbEntry.
-
Some fields like Result or Category have customizable values, check the field options to see the available ones.
HowTo's
Read - Get last 3 emails interactions for AbEntry
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
"Interaction":{
"Scope":{
"Fields":{
"Key":1,
"Type":{
"DisplayValue":1,
"Value":1
},
"Description":1,
"Attachment":1,
"Subject":1,
"StartDate":1,
"AbEntries/Key":1
}
},
"Criteria":{
"SearchQuery":{
"$AND":[
{
"Type":{
"$EQ":"60002" // Email
}
},
{
"AbEntries/Key":{
"$EQ":"Q29udGFjdAkxMzA3MDgyNTE0MjAzNDYxNjAwMDdDCTQ=" // Key of the AbEntry you want to search interactions for
}
}
]
},
"Top": 3
},
"OrderBy":{
"Fields":[
{
"StartDate":"DESC"
}
]
}
},
"Compatibility": {
"AbEntryKey": "2.0" // for ParentKey
}
}Metadata
Read Interaction metadata (simple)
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
"Schema": {
"Scope": {
"Fields": 1
},
"Criteria": {
"SearchQuery": {
"Key": {
"$TREE": "/Interaction"
}
}
}
},
"Compatibility": {
"SchemaObject": "1.0"
}
}Read Interaction metadata (more)
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
"Schema": {
"Scope": {
"Fields": {
"Key": 1,
"Alias": 1,
"Type": 1,
"Name": 1,
"AppliesTo": 1,
"Sortable": 1,
"Queryable": 1,
"Mandatory": 1,
"Attributes": 1,
"DisplayValue": 1
}
},
"Criteria": {
"SearchQuery": {
"Key": {
"$TREE": "/Interaction"
}
}
}
},
"Compatibility": {
"SchemaObject": "1.0"
}
}Interaction CRUD
Read - Interaction
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
"Interaction": {
"Scope": {
"Fields": {
"Key": 1,
"Subject": 1,
"Description": 1,
"StartDate": 1,
"EndDate": 1,
"Creator": 1,
"SecStatus": 1,
"Completed": 1,
"Priority": 1,
"AbEntries": 1,
"Leads": 1,
"Users": 1,
"WithKey": 1,
"With": 1,
"DisplayValue": 1,
"Duration": 1,
"Direction": 1,
"Attachment": 1,
"Recurring": 1,
"Source": 1,
"Result": 1,
"Type": {
"Key": 1,
"DisplayValue": 1,
"Value": 1,
"Icon": 1,
"BiDirectional": 1,
"External": 1
},
"Category": 1
}
},
"Criteria": {
"SearchQuery": {
"AbEntries/Key":{
"$EQ": "Q29udGFjdAkxMzA3MDgyNTE0MjAzNDYxNjAwMDdDCTQ=" // Mandatory
}
},
"Top": 3
}
}
}FieldOptions
Read InteractionLog FieldOptions - Type
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
"Interaction":{
"FieldOptions": {
"Type": [
{
"Key": 1,
"Value": 1,
"Name": 1,
"DisplayValue": 1,
"Icon": 1,
"BiDirectional": 1,
"External": 1
}
]
}
},
"Compatibility": {
"SchemaObject": "1.0"
}
}Read InteractionLog FieldOptions - Category
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
"Interaction":{
"FieldOptions": {
"Category": [
{
"Key": 1,
"DisplayValue": 1
}
]
}
},
"Compatibility": {
"SchemaObject": "1.0"
}
}Read InteractionLog FieldOptions - Result
// POST https://api.maximizer.com/octopus/Read
// Authorization: Bearer <token>
{
"Interaction":{
"FieldOptions": {
"Result": [
{
"Key": 1,
"DisplayValue": 1
}
]
}
},
"Compatibility": {
"SchemaObject": "1.0"
}
}